<div class="font-medium text-3xl text-900 mb-3">Movie App</div>

<div *ngIf="isLoggedIn; else showLogin" class="pb-4">
  <div ng-if="user$ | async as user" class="pb-4">
    <div>Welcome {{ (user$ | async)?.displayName }}!</div>
  </div>

  <button
    (click)="logout()"
    pButton
    label="Logout"
    class="p-button-link"
  ></button>
</div>

<ng-template #showLogin>
  <div class="pb-4">
    <button
      (click)="goToLogin()"
      pButton
      label="Login"
      class="p-button-link"
    ></button>
  </div>
</ng-template>

<div class="surface-card p-4 shadow-2 border-round w-full lg:w-6">
  <form (ngSubmit)="search()">
    <div>
      <label for="search" class="block text-900 font-medium mb-2">Search</label>
      <input
        id="search"
        name="search"
        [(ngModel)]="query"
        type="text"
        pInputText
        class="w-full mb-3"
      />
    </div>

    <div class="flex justify-content-end">
      <button pButton label="Search" icon="pi pi-search" type="Submit"></button>
      <button
        (click)="clear()"
        pButton
        class="ml-2"
        label="Clear"
        icon="pi pi-trash"
      ></button>
    </div>
  </form>
</div>

<!-- <div>
  <form (ngSubmit)="search()">
    <label for="search">Movie Name: </label>
    <input type="text" name="search" [(ngModel)]="query" />
    <button type="submit">Search</button>
    <button (click)="clear()">Clear</button>
  </form>
</div> -->

<div
  *ngFor="let movie of movies"
  class="surface-card p-4 shadow-2 border-round m-6"
>
  <div class="text-3xl font-medium text-900 mb-3">{{ movie.title }}</div>
  <div class="flex justify-content-start align-items-start">
    <div class="font-medium text-500 mb-3" *ngIf="movie.posterUrl">
      <img src="{{ movie.posterUrl }}" alt="{{ movie.title }}" />
    </div>
    <div class="border-2 border-dashed surface-border w-full ml-4 p-4">
      <div class="mb-4">
        {{ movie.overview }}
      </div>
      <div class="mb-4">
        <a href="{{ movie.homePage }}" target="_blank">Home Page</a>
      </div>
    </div>
  </div>
</div>
